%define __libtoolize /bin/true
%define name gdal
%define ver 1.4.0
%define rel alt1
%define libname lib%{name}

%define pyver %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")
%define build_geotiff 1
%{?_without_geotiff: %define build_geotiff 0}

Summary: 	The Geospatial Data Abstraction Library (GDAL)
Name: 		%name
Version: 	%ver
Release: %rel.0
Group: 		Graphics
#Group: 		Sciences/Geosciences
License:	MIT
Source: 	ftp://ftp.remotesensing.org/pub/gdal/%{name}-%{version}.tar.gz
Url:		http://www.remotesensing.org/gdal/

BuildRequires: gcc-c++ libjpeg-devel libpng-devel libpq-devel libqt4-core libstdc++-devel libtiff-devel postgresql-devel python-base python-modules-encodings zlib-devel

%description
The Geospatial Data Abstraction Library (GDAL) is a unifying
C/C++ API for accessing raster geospatial data, and currently
includes formats like GeoTIFF, Erdas Imagine, Arc/Info
Binary, CEOS, DTED, GXF, and SDTS. It is intended to provide
efficient access, suitable for use in viewer applications,
and also attempts to preserve coordinate systems and metadata.
Python, C, and C++ interfaces are available.

#%package python
#Summary: The Python bindings for the GDAL library
#Group: 		Sciences/Geosciences
#%description python
#The Python bindings for the GDAL library

%package -n %{libname}
Summary: Libraries required for the GDAL library
Group: 		Graphics
#Group: 		Sciences/Geosciences
Provides: lib%{name} = %{version}
%description -n %{libname}
Libraries required for the GDAL library

%package -n %{libname}-devel
Summary: Development files for using the GDAL library
Group: 		Graphics
#Group: 		Sciences/Geosciences
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}
Provides: %{name}-devel = %{version}
%description -n lib%{name}-devel
Development files for using the GDAL library

%prep
%setup -q

%build

%configure \
	--with-libz \
	--with-png \
%if %build_geotiff	
	--with-libtiff \
	--with-geotiff \
%else
	--with-libtiff=internal \
	--with-geotiff=internal \
%endif	
	--with-gif \
	--with-jpeg \
	--with-ogr \
	--with-grass
%make

%install
mkdir -p $RPM_BUILD_ROOT/%{_prefix}
%makeinstall \
INST_PREFIX=%{buildroot}/%{_prefix} \
INST_INCLUDE=%{buildroot}/%{_includedir} \
INST_DATA=%{buildroot}/%{_datadir}/gdal \
INST_LIB=%{buildroot}/%{_libdir} \
INST_BIN=%{buildroot}/%{_bindir} \
INST_MAN=%{buildroot}/%{_man1dir} \

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_datadir}/gdal/
%{_bindir}/ogr*
%{_bindir}/gdal*
%exclude %{_bindir}/gdal-config
%doc NEWS VERSION
%_man1dir/*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*
#%{_libdir}/*.a
#%{_libdir}/*.la
#%{_libdir}/*.so
#%{_includedir}/*.h
%{_bindir}/gdal-config
# doc html/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

#%files python
#%defattr(-,root,root)
#%{_libdir}/python%{pyver}/site-packages/*
#%{_bindir}/*.py
#%doc pymod/samples

%changelog
* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 1.4.0-alt1.0
- Rebuilt due to libpq.so.4 -> libpq.so.5 soname change.

* Thu Jan 18 2007 Dmitri Kuzishchin <dim@altlinux.ru> 1.4.0-alt1
- Initial package.
